Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jpa
Interface JpaOperations

All Known Implementing Classes:
  JpaTemplate

Deprecated. as of Spring 3.1, in favor of native EntityManager usage (typically obtained through `@PersistenceContext`). Note that this interface did not get upgraded to JPA 2.0 and never will.

    @Deprecated
    public interface JpaOperations

Interface that specifies a basic set of JPA operations, implemented by `JpaTemplate`. Not often used, but a useful option to enhance testability, as it can easily be mocked or stubbed.

Defines `JpaTemplate`'s data access methods that mirror various `EntityManager` methods. Users are strongly encouraged to read the JPA `EntityManager` javadocs for details on the semantics of those methods.

Note that lazy loading will just work with an open JPA `EntityManager`, either within a managed transaction or within `OpenEntityManagerInViewFilter`/ `OpenEntityManagerInViewInterceptor`. Furthermore, some operations just make sense within transactions, for example: `flush`, `clear`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `JpaTemplate`, `EntityManager`, `JpaTransactionManager`, `JpaDialect`, `OpenEntityManagerInViewFilter`, `OpenEntityManagerInViewInterceptor`

Method Summary
`boolean` | `contains(Object entity)` Deprecated.
`
`<T> T`
` | `execute(JpaCallback<T> action)` Deprecated.
`List` | `executeFind(JpaCallback<?> action)` Deprecated.
`
`<T> T`
` | `find(Class<T> entityClass, Object id)` Deprecated.
`List` | `find(String queryString)` Deprecated.
`List` | `find(String queryString, Object... values)` Deprecated.
`List` | `findByNamedParams(String queryString, Map<String,?> params)` Deprecated.
`List` | `findByNamedQuery(String queryName)` Deprecated.
`List` | `findByNamedQuery(String queryName, Object... values)` Deprecated.
`List` | `findByNamedQueryAndNamedParams(String queryName, Map<String,?> params)` Deprecated.
`void` | `flush()` Deprecated.
`
`<T> T`
` | `getReference(Class<T> entityClass, Object id)` Deprecated.
`
`<T> T`
` | `merge(T entity)` Deprecated.
`void` | `persist(Object entity)` Deprecated.
`void` | `refresh(Object entity)` Deprecated.
`void` | `remove(Object entity)` Deprecated.

Method Detail

### execute

    <T> T execute(JpaCallback<T> action)
              throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### executeFind

    List executeFind(JpaCallback<?> action)
                     throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### find

    <T> T find(Class<T> entityClass,
               Object id)
           throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### getReference

    <T> T getReference(Class<T> entityClass,
                       Object id)
                   throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### contains

    boolean contains(Object entity)
                     throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### refresh

    void refresh(Object entity)
                 throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### persist

    void persist(Object entity)
                 throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### merge

    <T> T merge(T entity)
            throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### remove

    void remove(Object entity)
                throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### flush

    void flush()
               throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### find

    List find(String queryString)
              throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### find

    List find(String queryString,
              Object... values)
              throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedParams

    List findByNamedParams(String queryString,
                           Map<String,?> params)
                           throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedQuery

    List findByNamedQuery(String queryName)
                          throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedQuery

    List findByNamedQuery(String queryName,
                          Object... values)
                          throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

### findByNamedQueryAndNamedParams

    List findByNamedQueryAndNamedParams(String queryName,
                                        Map<String,?> params)
                                        throws DataAccessException

  Deprecated.
  Throws:
    `DataAccessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD